
Packaging - Bug #11152

a2x: ERROR: "xsltproc" ... returned non-zero exit status 5 during Debian package build

07/20/2015 05:46 AM - Dominic Cleal
Description

Debian package builds of foreman-installer have started failing with a2x errors on all OSes.  I don't think they export parameters at

all, so can't think that a change to a Puppet module is causing it.

e.g. http://ci.theforeman.org/job/packaging_build_deb_coreproject/2168/label=debian,os=wheezy/console

00:02:58.919 cp man/foreman-installer.8.asciidoc /var/lib/workspace/workspace/packaging_build_deb_

coreproject/label/debian/os/wheezy/debian/wheezy/build-foreman-installer/foreman-installer-1.9.0-R

C2/_build/foreman-installer.8.asciidoc

00:02:58.919 ** Execute /var/lib/workspace/workspace/packaging_build_deb_coreproject/label/debian/

os/wheezy/debian/wheezy/build-foreman-installer/foreman-installer-1.9.0-RC2/_build/foreman-install

er.8

00:02:58.919 a2x -d manpage -f manpage /var/lib/workspace/workspace/packaging_build_deb_coreprojec

t/label/debian/os/wheezy/debian/wheezy/build-foreman-installer/foreman-installer-1.9.0-RC2/_build/

foreman-installer.8.asciidoc -L

00:02:58.927 WARNING: kafo exporter not found - not generating extended manual page

00:02:59.673 a2x: ERROR: "xsltproc"  --stringparam callout.graphics 0 --stringparam navig.graphics

 0 --stringparam admon.textlabel 1 --stringparam admon.graphics 0  "/etc/asciidoc/docbook-xsl/manp

age.xsl" "/var/lib/workspace/workspace/packaging_build_deb_coreproject/label/debian/os/wheezy/debi

an/wheezy/build-foreman-installer/foreman-installer-1.9.0-RC2/_build/foreman-installer.8.xml" retu

rned non-zero exit status 5

00:02:59.682 rake aborted!

00:02:59.682 Command failed with status (1): [a2x -d manpage -f manpage /var/lib/workspa...]

 I tried to reproduce the error with the same command on a 14.04 VM and couldn't.

Associated revisions

Revision 2e660a2c - 12/25/2015 04:11 PM - Michael Moll 

fixes #11152 - add docbook-xsl to installer build-depends

xsltproc was not able to resolve the XSL for docbook locally and tried

retrieving it from the internet, leading to build errors in case of

flakey connections.

History

#1 - 07/20/2015 06:18 AM - Dominic Cleal

This is affecting nightlies and also 1.9.0-RC2 - the latter will be released without new Debian installer packages I think, as we already have RC1s

which work reasonably (subject to #11069).

#2 - 07/31/2015 08:53 AM - Aaron Stone

I was able to produce this error from xsltproc:
http://ci.theforeman.org/job/packaging_build_deb_coreproject/2168/label=debian,os=wheezy/console
Erro:  no refentry: No refentry elements found in "foreman\-insta  foreman\-installer(8)

 Edit: but actually, this did not cause the process to exit non-zero. Also I see no recent changes to the man page in a while.

xsltproc exit code 5 means:

5: error in the stylesheet

 Maybe that helps narrow it down?

Possibly worth a separate ticket, but in http://ci.theforeman.org/job/packaging_build_deb_coreproject/2198/label=debian,os=precise/console the

failure is

03:27:26 a2x: ERROR: xsltproc  --stringparam callout.graphics 0 --stringparam navig.graphics 0 --stringparam a

dmon.textlabel 1 --stringparam admon.graphics 0  /etc/asciidoc/docbook-xsl/manpage.xsl /var/lib/workspace/work

space/packaging_build_deb_coreproject/label/debian/os/precise/debian/precise/build-foreman-installer/foreman-i

nstaller-1.10.0/_build/foreman-installer.8.xml returned non-zero exit status 9

 xsltproc exit code 9 means:

9: internal processing error

Not much help there :(

#3 - 08/06/2015 10:41 AM - Dominic Cleal

Interesting, I hadn't noticed that the exit code was changing, even stranger.

Indeed, the man page hasn't changed for a long time.  It hasn't changed at all when it's broken or fixed, and I can't see any pattern to it.  Our RPM

man page contains Puppet class parameter documentation, but the Debian one never got that functionality added, so it's static.

My only thoughts have been, a) the date generated at the bottom changes, b) possibly some OOM type of condition on our builders.  I just checked

dmesg on the builder that threw the exit code 9 linked from your comment and there's not been a single OOM.

#4 - 08/06/2015 10:44 AM - Dominic Cleal

Apart from the one instance you linked to of the exit code 9 on Ubuntu 12.04/precise, all other failures have been on all four OSes too, and all four

start working at the same time.  Usually builds run across both physical hosts simultaneously, two OSes on each (each has two slots allocated).

#5 - 08/12/2015 06:58 AM - Dominic Cleal

- translation missing: en.field_release deleted (35)

Unsetting for 1.9.0 as it's gone away for a little bit.

#6 - 09/04/2015 03:03 AM - Dominic Cleal

And returned.

http://ci.theforeman.org/job/packaging_build_deb_coreproject/2309/

00:03:25.190 a2x: ERROR: "xsltproc"  --stringparam callout.graphics 0 --stringparam navig.graphics 0 --stringp

aram admon.textlabel 1 --stringparam admon.graphics 0  "/etc/asciidoc/docbook-xsl/manpage.xsl" "/var/lib/works

pace/workspace/packaging_build_deb_coreproject/label/debian/os/wheezy/debian/wheezy/build-foreman-installer/fo

reman-installer-1.10.0/_build/foreman-installer.8.xml" returned non-zero exit status 5

00:03:25.199 rake aborted!

00:03:25.199 Command failed with status (1): [a2x -d manpage -f manpage /var/lib/workspa...]

#7 - 12/25/2015 04:22 PM - Anonymous

- Project changed from Installer to Packaging

- Category set to Debian/Ubuntu

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/foreman-packaging/pull/939 added

#8 - 01/04/2016 02:51 AM - Dominic Cleal

- translation missing: en.field_release set to 104
#9 - 01/04/2016 03:06 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2e660a2cf45728128f6b5094794058addf43ce65.

#10 - 12/07/2016 03:46 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/1446 added
